<!-- APP Dropbox 服务 开始 -->
MUI.DropboxWindow = function(){
		var Lang=CurrentLanguage();  //var used for language.
		new MUI.Window({
			id: 'Dropbox',
			title: DropboxTitleText[Lang],
			icon: 'apps/dropbox/images/page.gif',
			contentURL: 'apps/dropbox/dropbox_general.html?v=6.0.4&',
			width: 850,
			height: 420,
			resizeLimit:  {'x': [850, 2500], 'y': [480, 2000]},
			toolbar4: true,
			loadMethod: 'iframe',
			toolbar4URL: 'apps/dropbox/dropbox_tabs.html?v=6.0.4&',
			require: {  css: ['apps/dropbox/css/style.css'] },
			toolbar4Onload: function(){
				MUI.initializeTabs('DropboxTabs');

				$('Dropbox1Link').addEvent('click', function(e){
					MUI.updateContent({
						'title': DropboxTitleText1[Lang],
						'element':  $('Dropbox'),
						'url':      'apps/dropbox/dropbox_general.html?v=6.0.4&'
					});
				});

				$('Dropbox2Link').addEvent('click', function(e){
					MUI.updateContent({
						'title': DropboxTitleText2[Lang],
						'element':  $('Dropbox'),
						'url':      'apps/dropbox/dropbox_acc.html?v=6.0.4&'
					});
				});
			}
		});

	}

	$('DropboxLinkMenu').addEvent('click', function(e){
		MUI.DropboxWindow();
	});

	if ($('DropboxLinkCheck')) {
		$('DropboxLinkCheck').addEvent('click', function(e){
		new Event(e).stop();
			MUI.DropboxWindow();
		});
	}
    // -----------------Handling Lanuage----------------------
    //not a good solution. Needs a general solution for Apps.

    var DropboxTitleText = {
        zh_cn: 'Dropbox 服务',
        en_us: 'Dropbox Server',
		zh_tw: 'Dropbox 服務',
		kr: 'Dropbox 서버',
		jp: 'Dropbox サービス'
    };

    var DropboxTitleText1 = {
        zh_cn: 'Dropbox 常规设置',
        en_us: 'Dropbox General Settings',
		zh_tw: 'Dropbox 一般設定',
		kr: 'Dropbox 기본설정',
		jp: 'Dropbox 全般'
    };

    var DropboxTitleText2 = {
        zh_cn: 'Dropbox 帐户设定',
        en_us: 'Dropbox Account Settings',
		zh_tw: 'Dropbox 帳戶設定',
		kr: 'Dropbox 계정',
		jp: 'Dropbox アカウント'
    };

    //-----------------End Language ------------------------------------
<!-- APP Dropbox 服务 结束 -->